/*
 * rec_bin.h
 *
 *
 *  Created on: 24-06-2014
 *      Author: KJ
 */

#ifndef REC_BIN_H_
#define REC_BIN_H_

#include "tdefs.h"

#define REC_CHAN_ENABLED_DFR	0x00000001
#define REC_CHAN_ENABLED_DDR	0x00000002

struct rec_bin_logic
{
	u8 *in_ptr;
	u8 in_bit_mask;
};

struct rec_bin_io
{
	u32 in;
}__attribute__((__packed__));

struct rec_bin_params
{
	u32 bits;
}__attribute__((__packed__));

struct rec_bin_args
{
	struct rec_bin_io io;
	struct rec_bin_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int rec_bin_initlog(void *args, void *logic);

#endif /* REC_BIN_H_ */
